{
  "name": "googlemap-api",
  "version": "1.0.1",
  "description": "googlemap api",
  "main": "index.js",
  "scripts": {
    "build": "cross-env ENV_PRODUCTION=true webpack --config buildconfig/webpack.config.prod.js",
    "build:dev": "cross-env NODE_ENV=local webpack --config buildconfig/webpack.config.dev.js",
    "build:test": "cross-env NODE_ENV=test webpack --config buildconfig/webpack.config.test.js",
    "dev": "cross-env NODE_ENV=local webpack-dev-server --config buildconfig/webpack.config.dev.js",
    "lint": "eslint ./ --ext .js,.jsx,.ts,.tsx",
    "type-check": "tsc --noEmit"
  },
  "lint-staged": {
    "src/**/*.{js,jsx,ts,tsx}": "eslint --ext .js,.jsx,.ts,.tsx --max-warnings=0"
  },
  "keywords": [
    "react",
    "typescript",
    "webpack",
    "mobx",
    "babel",
    "frontend"
  ],
  "author": "Robert Toth",
  "license": "ISC",
  "devDependencies": {
    "@babel/cli": "7.4.3",
    "@babel/core": "7.4.3",
    "@babel/plugin-proposal-class-properties": "7.4.0",
    "@babel/plugin-proposal-decorators": "7.4.0",
    "@babel/plugin-proposal-object-rest-spread": "7.4.3",
    "@babel/plugin-syntax-dynamic-import": "7.2.0",
    "@babel/preset-env": "7.4.3",
    "@babel/preset-react": "7.0.0",
    "@babel/preset-typescript": "7.3.3",
    "@svgr/webpack": "4.3.3",
    "@types/ramda": "0.26.29",
    "@types/react": "17.0.2",
    "@types/react-dom": "17.0.1",
    "@types/react-router-dom": "4.3.1",
    "@types/sha1": "1.1.1",
    "@types/uuid": "3.4.4",
    "@typescript-eslint/eslint-plugin": "^5.59.0",
    "@typescript-eslint/parser": "^5.59.0",
    "babel-loader": "8.0.5",
    "clean-webpack-plugin": "2.0.1",
    "copy-webpack-plugin": "5.0.4",
    "cross-env": "6.0.3",
    "dotenv": "^16.0.3",
    "dotenv-webpack": "^8.0.1",
    "eslint": "^8.39.0",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-config-airbnb-typescript-prettier": "^5.0.0",
    "eslint-import-resolver-typescript": "^3.5.5",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-jsx-a11y": "^6.7.1",
    "eslint-plugin-react": "^7.32.2",
    "file-loader": "4.2.0",
    "html-webpack-plugin": "3.2.0",
    "lint-staged": "8.1.5",
    "mobx": "^6.9.0",
    "mobx-react": "^7.6.0",
    "mobx-sync": "^3.0.0",
    "prettier": "^2.1.1",
    "typescript": "3.7.5",
    "typescript-eslint-parser": "^22.0.0",
    "url-loader": "2.2.0",
    "webpack": "4.29.6",
    "webpack-bundle-analyzer": "3.3.2",
    "webpack-cli": "3.3.0",
    "webpack-dev-server": "3.2.1",
    "webpack-merge": "4.2.1"
  },
  "dependencies": {
    "@emotion/react": "^11.10.6",
    "@emotion/styled": "^11.10.6",
    "@mui/icons-material": "^5.11.16",
    "@mui/material": "^5.12.2",
    "@mui/system": "^5.12.1",
    "@types/styled-components": "^5.1.26",
    "@types/yup": "^0.29.9",
    "core-js": "3.0.1",
    "formik": "^2.2.9",
    "history": "5.0.0",
    "offline-plugin": "5.0.7",
    "query-string": "6.13.1",
    "ramda": "0.27.0",
    "react": "17.0.1",
    "react-dom": "17.0.1",
    "react-router": "^6.10.0",
    "react-router-dom": "^6.10.0",
    "remark": "^14.0.2",
    "sha1": "1.1.1",
    "styled-components": "^5.3.10",
    "uuid": "3.3.2",
    "yup": "^0.29.3"
  }
}
